# Simple totp subrequest authentication

## Setup
```
# build the container image
docker compose build

# Popoulate .env file with an random secret
# corresponding qr-code for your TOTP mobile app and a text file called secret.qr`
./new-secret.sh

# Adapt the sample configuration `vdi.example.com_location` and copy it to `vhost.d` of your [reverse-proxy](https://github.com/nginx-proxy/nginx-proxy)
```

## Credits:
  - Based on [newhouseb/nginxwebauthn](https://github.com/newhouseb/nginxwebauthn)

## References:
  - [NGINX: Authentication Based on Subrequest Result](https://docs.nginx.com/nginx/admin-guide/security-controls/configuring-subrequest-authentication/)
